<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Test | English Placement Test</title>
    <link href="style.css" rel="stylesheet">
    <link href="./bootstrap-5.0.2-dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="./bootstrap-5.0.2-dist/js/bootstrap.bundle.min.js"></script>
    <link rel="icon" href="/favicon.ico">
    <script type="text/javascript" src="/eel.js"></script>
    <script type="text/javascript" src="main.js"></script>
    <style>
        body {
            background-image: url("./resource/light-blue-background-gradient-wall-design-vector_111.webp");
            background-repeat: no-repeat;
            background-size: cover;
        }
    </style>
</head>
<body class="vh-100 w-100 user-select-none" oncontextmenu="return false;" onload="prepareAnswer()">
  <div class="d-flex flex-column vh-100 w-100 justify-content-between p-5">
      <div class="d-flex w-100 justify-content-between" style="height:10%;">
          <div class="fs-2 text-light w-33">
              Shaik Qhaiz
          </div>
          <div class="d-flex align-items-center gap-5 main-title w-34">
              <img src="./resource/icon.png" class="img-fluid icon" />
              <h1>English First – English Placement Test</h1>
          </div>
          <div class="fs-2 text-light w-33">
              <button type="button" class="btn btn-danger position-relative fs-2" style="width:200px;" onclick="goResult()">
                  <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="currentColor" class="bi bi-arrow-return-right" viewBox="0 0 16 16">
                      <path fill-rule="evenodd" d="M1.5 1.5A.5.5 0 0 0 1 2v4.8a2.5 2.5 0 0 0 2.5 2.5h9.793l-3.347 3.346a.5.5 0 0 0 .708.708l4.2-4.2a.5.5 0 0 0 0-.708l-4-4a.5.5 0 0 0-.708.708L13.293 8.3H3.5A1.5 1.5 0 0 1 2 6.8V2a.5.5 0 0 0-.5-.5z"/>
                  </svg>
                  Return
               </button>
          </div>
      </div>

      <div class="d-flex w-100 flex-column align-items-center instruction fs-4" style="height:10%;">
          <p>Review your answers without pressure of time limit.</p>
          <p>Correct answers are not provided to make you find correct answer by yourself.</p>
      </div>
      <div class="progress w-50 align-self-center" style="height:10px;display:none">
          <div class="progress-bar bg-primary" role="progressbar" style="" aria-valuenow="79" aria-valuemin="0" aria-valuemax="100" id="time_progress_bar"></div>
      </div>
      <div class="progress w-50 align-self-center fs-4"  style="height:30px;">
          <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100" style="width: 2%" id="quest_progress_bar">1 / 60</div>
      </div>

      <div class="d-flex flex-column w-100 h-50 align-items-center justify-content-center gap-3">
           <div class="question">
               <div class="alert alert-danger fs-3" role="alert">
                   <span id="quest_num"></span><span>.</span> <sapn id="quest"></sapn>
               </div>
           </div>
          <div class="answer">
               <button type="button" style="width:400px;text-align:left;" class="btn btn-light position-relative fs-4">
                   a) <span id="ans_a"></span>
                   <span style="display:none;" class='position-absolute top-0 start-100 translate-middle p-2 bg-danger border border-light rounded-circle ticker'>
                      <span class='visually-hidden'>New alerts</span>
                   </span>
               </button>
          </div>
          <div class="answer">
               <button type="button" style="width:400px;text-align:left;" class="btn btn-light position-relative fs-4">
                 b) <span id="ans_b"></span>
                 <span style="display:none;" class='position-absolute top-0 start-100 translate-middle p-2 bg-danger border border-light rounded-circle ticker'>
                    <span class='visually-hidden'>New alerts</span>
                 </span>
               </button>
          </div>
          <div class="answer">
               <button type="button" style="width:400px;text-align:left;" class="btn btn-light position-relative fs-4">
                 c) <span id="ans_c"></span>
                 <span style="display:none;" class='position-absolute top-0 start-100 translate-middle p-2 bg-danger border border-light rounded-circle ticker'>
                    <span class='visually-hidden'>New alerts</span>
                 </span>
               </button>

          </div>
          <div class="answer">
               <button type="button" style="width:400px;text-align:left;" class="btn btn-light position-relative fs-4">
                 d) <span id="ans_d"></span>
                 <span style="display:none;" class='position-absolute top-0 start-100 translate-middle p-2 bg-danger border border-light rounded-circle ticker'>
                    <span class='visually-hidden'>New alerts</span>
                 </span>
               </button>
          </div>
      </div>

      <div class="d-flex justify-content-between w-100">
          <div class="back w-25">
              <img src="./resource/back_button.png" class="img-fluid" id="backBtn" onclick="fetchPrevQuest()">
          </div>
          <div class="next w-25">
              <img src="./resource/next_button.png" class="img-fluid" id="nextBtn" onclick="fetchNextQuest()">
          </div>
      </div>
  </div>
</body>
</html>